/*
  Copyright (c) 2000 Caldera Systems

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __GENERALPAGE_H__
#define __GENERALPAGE_H__


#include "generalpage.h"

#include "kxpage.h"

class GeneralPage : public GeneralPageBase, public KXPage
{
  Q_OBJECT
  Q_PROPERTY( QString quickHelp READ quickHelp )
public:

  GeneralPage(QWidget *parent=0, const char *name=0);


    // reimplemented from KXPage
    virtual void load();
    virtual void save();

    QString quickHelp() const;

signals:
    void enableForward( bool );
    void changed();
};


#endif


